curl --request GET \
--url https://api.parallellabs.app/api/v0/marketing-campaign-templates/{templateId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/marketing-campaign-templates/{templateId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/marketing-campaign-templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"companyId": "<string>",
"uid": "<string>",
"name": "<string>",
"description": "<string>",
"subject": "<string>",
"replyTo": "<string>",
"bodyHtml": "<string>",
"bodyDocument": "<string>",
"senderProfileId": "<string>",
"listId": "<string>",
"fieldMappings": {},
"scheduleSettings": "<string>",
"chatHistory": [
"<string>"
],
"created_date": "<string>",
"updated_date": "<string>",
"smartList": {
"id": "<string>",
"name": "<string>"
},
"senderProfile": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"integrationId": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get a single marketing campaign template, including its full HTML body.
Authorizations
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
The requested template
A reusable marketing campaign template
Template ID
Company this template belongs to
User ID that created the template
Template name
Optional note describing when to use this template
Default email subject line
Default Reply-To email address
Email HTML rendered by the server from bodyDocument (read-only)
Visual-builder JSON document for the email body (source of truth)
Default sender profile ID
Default smart list ID
Field mapping for resolving recipient email from a list row
Optional sending-window settings
Saved AI chat history for this template (reserved for a future AI edit mode)
ISO timestamp when the template was created
ISO timestamp when the template was last updated
Summary of the default smart list
Show child attributes
Show child attributes
Summary of the default sender profile
Show child attributes
Show child attributes

